Zydis: ZydisDecodedInstructionRawEvex Struct Reference

Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisDecodedInstructionRawEvex Struct Reference

Detailed info about the EVEX prefix. More...

`#include <DecoderTypes.h>`

## Data Fields
ZyanU8 | R
| Extension of the ModRM.reg field (inverted).
ZyanU8 | X
| Extension of the SIB.index/vidx field (inverted).
ZyanU8 | B
| Extension of the ModRM.rm or SIB.base field (inverted).
ZyanU8 | R2
| High-16 register specifier modifier (inverted).
ZyanU8 | mmm
| Opcode-map specifier.
ZyanU8 | W
| 64-bit operand-size promotion or opcode-extension.
ZyanU8 | vvvv
| NDS/NDD (non-destructive-source/destination) register specifier (inverted).
ZyanU8 | pp
| Compressed legacy prefix.
ZyanU8 | z
| Zeroing/Merging.
ZyanU8 | L2
| Vector-length specifier or rounding-control (most significant bit).
ZyanU8 | L
| Vector-length specifier or rounding-control (least significant bit).
ZyanU8 | b
| Broadcast/RC/SAE context.
ZyanU8 | V2
| High-16 NDS/VIDX register specifier.
ZyanU8 | aaa
| Embedded opmask register specifier.
ZyanU8 | offset
| The offset of the first evex byte, relative to the beginning of the instruction, in bytes.

## Detailed Description

Detailed info about the EVEX prefix.

## Field Documentation

## ◆ aaa

ZyanU8 aaa

Embedded opmask register specifier.

## ◆ B

ZyanU8 B

Extension of the ModRM.rm or SIB.base field (inverted).

## ◆ b

ZyanU8 b

Broadcast/RC/SAE context.

## ◆ L

ZyanU8 L

Vector-length specifier or rounding-control (least significant bit).

## ◆ L2

ZyanU8 L2

Vector-length specifier or rounding-control (most significant bit).

## ◆ mmm

ZyanU8 mmm

Opcode-map specifier.

## ◆ offset

ZyanU8 offset

The offset of the first evex byte, relative to the beginning of the instruction, in bytes.

## ◆ pp

ZyanU8 pp

Compressed legacy prefix.

## ◆ R

ZyanU8 R

Extension of the ModRM.reg field (inverted).

## ◆ R2

ZyanU8 R2

High-16 register specifier modifier (inverted).

## ◆ V2

ZyanU8 V2

High-16 NDS/VIDX register specifier.

## ◆ vvvv

ZyanU8 vvvv

NDS/NDD (non-destructive-source/destination) register specifier (inverted).

## ◆ W

ZyanU8 W

64-bit operand-size promotion or opcode-extension.

## ◆ X

ZyanU8 X

Extension of the SIB.index/vidx field (inverted).

## ◆ z

ZyanU8 z

Zeroing/Merging.

The documentation for this struct was generated from the following file:

- include/Zydis/DecoderTypes.h